## EAlertBar EAlertBar |

## Functions

GtkWidget * | e_alert_bar_new ()
void | e_alert_bar_clear ()
void | e_alert_bar_add_alert ()
gboolean | e_alert_bar_remove_alert_by_tag ()
gboolean | e_alert_bar_close_alert ()
void | e_alert_bar_submit_alert ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkInfoBar
                            ╰── EAlertBar

## Description

## Functions

### e_alert_bar_new ()

    GtkWidget *
    e_alert_bar_new (void);

### e_alert_bar_clear ()

    void
    e_alert_bar_clear (EAlertBar *alert_bar);

### e_alert_bar_add_alert ()

    void
    e_alert_bar_add_alert (EAlertBar *alert_bar,
                           EAlert *alert);

### e_alert_bar_remove_alert_by_tag ()

    gboolean
    e_alert_bar_remove_alert_by_tag (EAlertBar *alert_bar,
                                     const gchar *tag);

### e_alert_bar_close_alert ()

    gboolean
    e_alert_bar_close_alert (EAlertBar *alert_bar);

Closes the active EAlert and returns `TRUE`, or else returns `FALSE` if there is no active EAlert.

#### Parameters

alert_bar | an EAlertBar |

#### Returns

whether an EAlert was closed

### e_alert_bar_submit_alert ()

    void
    e_alert_bar_submit_alert (EAlertBar *alert_bar,
                              EAlert *alert);

Depending on the `alert` type either shows a dialog or adds the alert into the `alert_bar` . This is meant to be used by EAlertSink implementations which use the EAlertBar.

#### Parameters

alert_bar | an EAlertBar |
alert | an EAlert |

Since: 3.26